Subject: InterViews 3.1 with sharable libraries
From: [email-masked] (Michael N. Lipp)
Date: Tue, 5 Apr 1994 00:17:26 GMT
Newsgroups: comp.os.linux.announce

Currently on sunsite.unc.edu in pub/Linux/Incoming (I don't know where
the maintainer will move it to)

iv-3.1l.1-diffs.gz
iv-3.1l.1-bin.tar.gz
_______________________________________________________________________________

		README for iv-3.1l.1-bin.tar.gz

The binary distribution of InterViews with shared libraries needs 8.5 MB
and must be extracted in /

cd /
gzip -dc iv-3.1l.1-bin.tar.gz | tar xpf -

Then, links for the sharable images must be made

ln -s /usr/local/interviews/lib/libIV.so.3.1.1 /lib
ln -s /usr/local/interviews/lib/libUnidraw.so.3.1.1 /lib
ldconfig -v

YOU NEED libgr.so.1 TO RUN INTERVIEWS. IF YOU DONT HAVE IT YET, GET IT.

_______________________________________________________________________________

		README for InterViews 3.1 for Linux

The file "iv-3.1l.1.diffs" contains patches for the standard 3.1.tar.Z
distribution of InterViews. The patches combine three groups of patches

1) Patches supplied by Mike Stump <[email-masked]> in
   pub/contrib/g++/[email-masked]

2) Patches from Fritz Heinrichmeyer <[email-masked]>.
   These patches introduce "#pragma interface"/"#pragma implementation"
   statements for g++ as "space savers". The script for rudimentary
   shared library support supplied with these patches has not been used.

3) Patches for iv-linux.cf, some Imakefiles, etc. and jump.* files
   for Linux shared library support. jump.* files have been made
   as described in "Using DLL Tools With Linux" and should be
   "update save" (extra space allocated etc.).

   The rules for building shared Linux libraries have been modelled as
   the "builtin" rules for SunOS. Thus, you can say `make World' to get
   everything built with shared libraries or `make World.noshared' for
   static libraries and executables.

Other changes:
--------------

I have omitted the TIFF objects from libIV.a and added -ltiff to
Ld_libIV (see iv-linux.cf). This allows you to update to new versions
of the TIFF library without having to take care of proper link order
etc.

A sharable libtiff.a is available as part of the libgr package on the
usual servers.

Adresses
--------

libIV.so.3.1.1 and libUnidraw.so.3.1.1 occupy the address space
allocated to them according the document "Using DLL Tools With Linux".
I tried to contact Peter MacDonald who has registered this address
space, but he does not respond to my mails.

I have been told by Kevin Martin <[email-masked]> who wrote to him
earlier, that Peter MacDonald does not intend to release shared InterViews
libraries. So there should be no problem.

Michael Lipp

<[email-masked]>
--
-----------------,------------------------------,------------------------------
Michael N. Lipp  !  Institut fuer Datentechnik  !  
                 !  Merckstr. 25     ,----------'  
                 !  D-6100 Darmstadt ! E-Mail:
                 !  (Germany)        !     [email-masked]
-----------------'-------------------'-----------------------------------------